[Debootloaders-yaboot] Bug#608384: yaboot: patch to current version of ofpath from experimental

Andrey Gusev a.gusev1980 at mail.ru
Fri Jan 14 21:48:07 UTC 2011

Package: yaboot
Version: 1.3.16-2
Severity: normal

I have same problem on kernel 2.6.37. I saw hacked version of ofpath, but
it was rewritten completely. I prefer to change existing one. There is
my patch.

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.37 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages yaboot depends on:
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib

Versions of packages yaboot recommends:
ii  hfsutils                      3.2.6-11   Tools for reading and writing Maci
ii  powerpc-utils                 1.1.3-24   Various utilities for Linux/PowerP

yaboot suggests no packages.

-- no debconf information
-------------- next part --------------
--- ofpath	2011-01-14 23:45:24.489958209 +0300
+++ /usr/sbin/ofpath	2011-01-15 00:25:15.000000000 +0300
@@ -273,6 +273,11 @@
     printf "%s/scsi@%x/@%x%s\n" $OF_PATH $BUS_ID $DEVICE_ID $LUNX$PART
+  elif [ -d "/proc/device-tree$OF_PATH/disk" ] ; then
+    #ata-6 (pata_macio)
+    printf "%s/disk@%x%s\n" $OF_PATH $DEVICE_ID $LUNX$PART
     case "$SCSI_DRIVER-$SCSI_NAME" in

More information about the Debootloaders-yaboot mailing list